:root {
	--green: #56E366;
	--navy: #0C1F29;
}
body,html {
	overflow-x: hidden;
}

.elementor-menu-toggle {
	padding: 0;
	z-index: 5;
	position: relative;
}
.menu-switch {
	height: 44px;
}
.elementor-nav-menu--dropdown.elementor-nav-menu__container {
	margin-top: -22px;
	padding-top: 22px;
	z-index: 1 !important;
	width: calc(100vw - 40px) !important;
	right: 0 !important;
	left: auto !important;
	padding-bottom: 22px;
	border-radius: 0 0 22px 22px;
}
.menu-popup .dialog-close-button {
	width: 44px;
	height: 44px;
	border-radius: 50%;
}
.elementor-popup-modal.menu-popup .dialog-close-button svg {
	height: 20px;
	width: 20px;
	top: 50%;
	left: 50%;
	position: absolute;
	transform: translate(-50%, -50%);
}
.green-button.menu-item {
	text-align: center;
}
.green-button.menu-item a {
	display: inline-block;
	background: var(--green);
	border-radius: 22px;
	padding: 12px 48px !important;
}

.wpcf7-form .row {
	display: flex;
	flex-direction: column;
}
.wpcf7-form .row .col, .wpcf7-form .row .col-half {
	width: 100%;
}
.wpcf7-form input, .wpcf7-form textarea {
	border-radius: 8px !important;
	background: rgba(12, 31, 41, 0.05);
	padding: 12px 20px !important;
	border: 0 !important;
	font-family: 'Montserrat';
}
.wpcf7-form input::placeholder, .wpcf7-form textarea::placeholder {
	color: var(--navy);
	font-size: 14px;
	font-family: 'Montserrat';
}
.wpcf7-form input[type="submit"] {
	width: 100%;
	border-radius: 98px !important;
	background: var(--green);
	color: var(--navy);
}
.wpcf7-form .wpcf7-list-item {
	margin-left: 0;
	margin-bottom: 20px;
	font-family: 'Montserrat';
	font-size: 14px;
}
.wpcf7-form .wpcf7-list-item label{
	display: flex;
	flex-direction: row;
	align-items: flex-start;
}
.wpcf7-form .wpcf7-list-item label a{
	color: inherit;
}
.wpcf7-form .wpcf7-list-item label input{
	margin-right: 10px;
	border-width: 2px !important;
	border-color: var(--navy) !important;
}
.animated.animated-slow {
	animation-duration: 1.5s !important;
}
.fadeInUp {
    animation-name: newfadeInUp !important;
}

.maps-slider .swiper{
	padding-bottom: 25px !important;
}
.maps-slider .swiper-pagination-total{
	opacity: 0.4;
}
.maps-slider .map-desc figcaption{
	padding-left: 50px;
}
.button-icon svg {
	width: 24px !important;
	height: 24px !important;
}
.button-icon:hover path {
	fill: white;
}

.news-image {
	position: relative;
	overflow: hidden;
}
.news-image:before {
	content: '';
	position: absolute;
	margin: auto;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	width: 44px;
	height: 44px;
	background-image: url('/wp-content/uploads/2025/12/Frame-251.svg');
	background-size: cover;
	opacity: 0;
	pointer-events: none;
	transition: all 300ms;
}
.news-image:after {
	content:'';
	position: absolute;
	bottom: 0;
	left: 0;
	opacity: 0;
	width: 100%;
	height: 45%;
	border-radius: 0 0 8px 8px;
	background: linear-gradient(to bottom, rgba(125,185,232,0) 0%,rgba(86,227,102,1) 100%);
	pointer-events: none;
	transition: all 300ms;
}
.news-item:hover .news-image:before, .news-item:hover .news-image:after {
	opacity: 1;
}
.elementor-pagination {
	padding-top: 60px;
	display: flex;
	align-items: center;
}
.elementor-pagination .page-numbers {
	border-bottom: 2px solid transparent;
}
.elementor-pagination .page-numbers.current {
	border-color: var(--green);
}
.elementor-pagination .page-numbers.prev {
	margin-right: auto !important;
}
.elementor-pagination .page-numbers.next {
	margin-left: auto !important;
}
.elementor-pagination .page-numbers.prev, .elementor-pagination .page-numbers.next {
	display: flex;
	padding: 15px 24px;
	background: transparent;
	border: 1px solid rgba(12, 31, 41, 0.2);
	color: rgb(12, 31, 41, 0.2);
	border-radius: 50px;
	justify-content: center;
	position: relative;
	align-items: center;
}
.elementor-pagination .page-numbers.prev:before, .elementor-pagination .page-numbers.next:after {
	content: '';
	position: relative;
	width: 24px;
	height: 24px;
	background: url('/wp-content/uploads/2025/12/Button-icons1.svg');
	opacity: 0.6;
	margin-left: 10px;
	margin-right: 0;
}
.elementor-pagination .page-numbers.prev:before {
	transform: scale(-1);
	margin-right: 10px;
	margin-left: 0;
}
.elementor-pagination a.page-numbers.prev, .elementor-pagination a.page-numbers.next {
	background: var(--green);
	border-color: var(--green);
	color: var(--navy) !important;
}
.elementor-pagination a.page-numbers.prev:before, .elementor-pagination a.page-numbers.next:after {
	opacity: 1;
}
.elementor-pagination a.page-numbers.prev:hover, .elementor-pagination a.page-numbers.next:hover {
	background: rgba(86, 227, 102, 0.6);
	border-color: rgba(86, 227, 102, 0.6);
}

.button-icon .elementor-button-content-wrapper {
	align-items: center;
}

body.single .elementor-widget-theme-post-content img {
	border-radius: 20px;
}
body.single .elementor-widget-theme-post-content .wp-block-image {
	margin: 60px 0;
}
body.single .elementor-widget-theme-post-content .wp-block-image figcaption {
	color: rgba(12,31,41,0.6);
	font-size: 16px;
	font-weight: 500;
	font-style: initial;
}
#breadcrumbs a {
	padding-right: 5px;
}

.section-name .elementor-icon-box-content {
	display: flex;
	flex-direction: row;
	align-items: center;
}
.section-name .elementor-icon-box-content .elementor-icon-box-title{
	display: inline-block;
	border-radius: 4px;
	width: 32px;
	height: 32px;
	background: var(--green);
	margin-right: 10px;
	text-align: center;
	line-height: 32px;
}
.section-features {
	min-height: 118px;
}
.section-features table {
	border: 0;
	margin: 0;
}
.e-n-accordion .section-features  {
	min-height: auto;
}
.e-n-accordion .section-features table {
	margin-bottom: 10px;
}
.section-features table tr{
	background: transparent !important;
}
.section-features table tr td:nth-child(1) {
	width: 35%;
}
.section-features table tr td {
	padding: 5px 0;
	border: 0;
}
.section-features table tbody > tr:nth-child(2n+1) > td, .section-features table tbody > tr:nth-child(2n+1) > th {
	background: transparent;
}
.section-features table tbody tr:hover > td, .section-features table tbody tr:hover > th {
	background: transparent;
}
.section-details.elementor-widget-n-accordion .e-n-accordion-item {
	flex-direction: column-reverse ;
}
.popup-name span {
	color: rgba(12,31,41,0.2);
}
.popup-button svg {
	width: 24px;
	height: 24px;
}
.warehouse-sections .swiper {
	overflow: visible;
}
.warehouse-sections .swiper-pagination-progressbar {
	top: auto !important;
	bottom: -50px;
	left: 0 !important;
	right: 0;
	margin: auto;
	width: 40% !important;
	border-radius: 20px;
	background: rgba(12,31,41,0.05);
}
.warehouse-sections .swiper-pagination-progressbar .swiper-pagination-progressbar-fill {
	background: rgba(12,31,41,0.4) !important;
	border-radius: 20px;
}
.places-carousel {
	position: relative;
}
.places-carousel:before {
	content: '';
	position: absolute;
	background: var(--navy);
	top: 0;
	right: 100%;
	height: 100%;
	width: 100%;
	z-index: 2;
}
.places-carousel .swiper {
	overflow: visible;
}
.sections-list .elementor-icon-list-item {
	margin: 0 !important;
	padding: 0 !important;
}
.sections-list .elementor-icon-list-item a {
	display: flex;
	flex-direction: row-reverse;
	padding: 6px 0 !important;
	justify-content: flex-end;
}
.sections-list .elementor-icon-list-item a:hover {
	background: rgba(12,31,41,0.05) !important;
}
.sections-list .elementor-icon-list-item a .elementor-icon-list-icon {
	margin-left: auto;
	width: 20px !important;
	height: 20px !important;
	opacity: 0;
	transition: all 300ms;
}
.sections-list .elementor-icon-list-item a:hover .elementor-icon-list-icon {
	opacity: 1;
}
.sections-list .elementor-icon-list-text b{
	display: inline-block;
	margin-right: 5px;
}
.warehouse-map {
	overflow-x: scroll;
}
.warehouse-plan {
	display: flex;
	align-items: center !important;
}
.swiper-pagination {
	transform: initial !important;
}
@media (max-width: 769px) {
	.post-hero, body.single .main-navbar, #top {
		background: var(--navy) !important;
	}
	.places-carousel .elementor-swiper-button {
		display: none;
	}
	.warehouse-popup .dialog-widget-content{
		height: 100vh;
		border-radius: 0 !important;
	}
	.warehouse-popup .dialog-widget-content .dialog-message, .warehouse-popup .dialog-widget-content .dialog-message .elementor-location-popup,
	.warehouse-popup .dialog-widget-content .dialog-message .elementor-location-popup > .elementor-element{
		height: 100% !important;
	}
	.warehouse-popup .dialog-widget-content .dialog-message .elementor-location-popup > .elementor-element > .e-con-inner{
		justify-content: space-between;
	}
	.relaxation-zones {
		position: relative !important;
	}
}
@media (min-width: 769px) {
	.wpcf7-form .row {
		flex-direction: row;
		gap: 20px;
	}
	.wpcf7-form .row .col-half {
		width: 50%;
	}
	.elementor-widget-theme-post-content img {
		max-width: 120% !important;
	}
	.warehouse-map {
		overflow-x: initial;
	}
	.places-carousel .swiper-pagination {
		display: none;
	}
}

@keyframes newfadeInUp {
    from {
        opacity: 0;
        transform: translate3d(0,30%,0);
    }

    to {
        opacity: 1;
        transform: none
    }
}
